net.sourceforge.pmd.lang.xml.ast

## Class DumpFacade

- java.lang.Object
- - net.sourceforge.pmd.lang.xml.ast.DumpFacade

    public class DumpFacade
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DumpFacade()`

### Method Summary

Methods
`void` `initializeWith(Writer writer, String prefix, boolean recurse, XmlNode node)`
`Object` `visit(XmlNode node, Object data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DumpFacade

    public DumpFacade()

### Method Detail

#### initializeWith

    public void initializeWith(Writer writer,
                      String prefix,
                      boolean recurse,
                      XmlNode node)

#### visit

    public Object visit(XmlNode node,
               Object data)